
Katello - Bug #5526

Content entities (puppet modules, packages, package groups, errata) need permission handling in

the API.

05/01/2014 01:24 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Blocks Katello - Feature #5500: As a user, I should not be able to access API... Closed 04/29/2014

Blocks Katello - Feature #5532: As a user, I should only see entities I have ... Closed 05/01/2014

Associated revisions

Revision 7ef987c6 - 05/23/2014 02:50 AM - Eric Helms

Fixes #5526: Ensure content APIs are properly permission wrapped.

Intent is for packages, errata, package groups, and distributions the

user has :view_products and can then see the content for any products/repos

they have access to. For content within a content view, the user needs

:view_content_views permission.

For repository sets, a user needs :view_subscriptions to show, index or

see available repository sets and :import_manifest in order to disable/enable.

Revision e0cb9bcf - 05/23/2014 06:10 PM - Eric Helms

Merge pull request #4142 from ehelms/fixes-5526

Fixes #5526: Ensure content APIs are properly permission wrapped.

History

#1 - 05/01/2014 01:25 PM - Eric Helms

- Blocks Feature #5500: As a user, I should not be able to access APIs I don't have permissions to. added

#2 - 05/01/2014 01:37 PM - Eric Helms

- Blocks Feature #5532: As a user, I should only see entities I have access to within Content Search. added

#3 - 05/23/2014 06:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:7ef987c6089d24efa64032ac8fb62a612446f5c8.

#4 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
